net.i2p.stat

## Class PersistenceHelper

- java.lang.Object
- - net.i2p.stat.PersistenceHelper

-      class PersistenceHelper
      extends Object

  Output rate data. This is used via ProfilePersistenceHelper and the output must be compatible.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistenceHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `add(StringBuilder buf, String prefix, String name, String description, double value)`
    `static void` | `add(StringBuilder buf, String prefix, String name, String description, long value)`
    `static void` | `addDate(StringBuilder buf, String prefix, String name, String description, long value)`
    `static void` | `addTime(StringBuilder buf, String prefix, String name, String description, long value)`
    `static double` | `getDouble(Properties props, String prefix, String name)`
    `static long` | `getLong(Properties props, String prefix, String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistenceHelper

          PersistenceHelper()

  - ### Method Detail

    - #### add

          public static final void add(StringBuilder buf,
                 String prefix,
                 String name,
                 String description,
                 double value)

    - #### addDate

          public static final void addDate(StringBuilder buf,
                     String prefix,
                     String name,
                     String description,
                     long value)

      Since:
        0.8.5

    - #### addTime

          public static final void addTime(StringBuilder buf,
                     String prefix,
                     String name,
                     String description,
                     long value)

      Since:
        0.8.5

    - #### add

          public static final void add(StringBuilder buf,
                 String prefix,
                 String name,
                 String description,
                 long value)

    - #### getLong

          public static final long getLong(Properties props,
                     String prefix,
                     String name)

    - #### getDouble

          public static final double getDouble(Properties props,
                         String prefix,
                         String name)